Skip to content

Reads the pinned process graph with aggregated visit and transition facts for visualization.

GET
/api/workspace/workflow/runtime/instances/{id}/execution-view
curl --request GET \
--url https://example.com/api/workspace/workflow/runtime/instances/example/execution-view \
--header 'Authorization: Bearer <token>'
id
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data
object
InstanceId
string
nullable
RevisionId
string
nullable
ContentHash
string
nullable
InstanceRowVersion
string format: uuid
TechnicalOnly
boolean
LastSequence
integer format: int64
GraphState
integer format: int32
Allowed values: 0 1 2
Graph
object
Start
string
nullable
Viewport
object
X
number format: double
Y
number format: double
Zoom
number format: double
Outcomes
Array<object>
nullable
object
Key
string
nullable
DisplayName
string
nullable
Nodes
Array<object>
nullable
object
Key
string
nullable
Kind
string
nullable
Title
string
nullable
Outcome
string
nullable
Position
object
X
number format: double
Y
number format: double
Inputs
Array<object>
nullable
object
Key
string
nullable
Side
string
nullable
Offset
number format: double
Outputs
Array<object>
nullable
object
Key
string
nullable
Title
string
nullable
To
string
nullable
Side
string
nullable
Offset
number format: double
nullable
TargetInput
string
nullable
Waypoints
Array<object>
nullable
object
X
number format: double
Y
number format: double
Display
string
nullable
Nodes
Array<object>
nullable
object
NodeKey
string
nullable
VisitCount
integer format: int32
ActiveCount
integer format: int32
WaitingCount
integer format: int32
CompletedCount
integer format: int32
CanceledCount
integer format: int32
FaultedCount
integer format: int32
LastVisit
object
Id
string
nullable
Status
integer format: int32
Allowed values: 0 1 2 3 4
WaitKind
integer format: int32
Allowed values: 0 1 2 3
EntrySequence
integer format: int64
EnteredAtUtc
string format: date-time
CompletedAtUtc
string format: date-time
nullable
TimerDueAtUtc
string format: date-time
nullable
ErrorCode
string
nullable
EventProgress
object
MatchedObservations
integer format: int32
TotalObservations
integer format: int32
CurrentVisits
Array<object>
nullable
object
Id
string
nullable
Status
integer format: int32
Allowed values: 0 1 2 3 4
WaitKind
integer format: int32
Allowed values: 0 1 2 3
EntrySequence
integer format: int64
EnteredAtUtc
string format: date-time
CompletedAtUtc
string format: date-time
nullable
TimerDueAtUtc
string format: date-time
nullable
ErrorCode
string
nullable
EventProgress
object
MatchedObservations
integer format: int32
TotalObservations
integer format: int32
Edges
Array<object>
nullable
object
SourceNodeKey
string
nullable
OutputKey
string
nullable
TargetNodeKey
string
nullable
TraversalCount
integer format: int32
LastSequence
integer format: int64
LastOccurredAtUtc
string format: date-time
UnmappedTransitionCount
integer format: int32
TraceIncomplete
boolean
Status
integer format: int32
Allowed values: 0 1 2 3 4
PreSuspendStatus
integer format: int32
Allowed values: 0 1 2 3 4
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"GraphState": 0,
"Nodes": [
{
"LastVisit": {
"Status": 0,
"WaitKind": 0
},
"CurrentVisits": [
{
"Status": 0,
"WaitKind": 0
}
]
}
],
"Status": 0,
"PreSuspendStatus": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}